FreeMat

- Main Page
- Related Pages

vtkGeoArcs

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoArcs produces arcs for each line in the input polydata. This is useful for viewing lines on a sphere (e.g. the earth). The arcs may "jump" above the sphere's surface using ExplodeFactor.

To create an instance of class vtkGeoArcs, simply invoke its constructor as follows

      obj = vtkGeoArcs

# Methods

The class vtkGeoArcs has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoArcs class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoArcs = obj.NewInstance ()`
- `vtkGeoArcs = obj.SafeDownCast (vtkObject o)`
- `obj.SetGlobeRadius (double )` - The base radius used to determine the earth's surface. Default is the earth's radius in meters.
- `double = obj.GetGlobeRadius ()` - The base radius used to determine the earth's surface. Default is the earth's radius in meters.
- `obj.SetExplodeFactor (double )` - Factor on which to "explode" the arcs away from the surface. A value of 0.0 keeps the values on the surface. Values larger than 0.0 push the arcs away from the surface by a distance proportional to the distance between the points. The default is 0.2.
- `double = obj.GetExplodeFactor ()` - Factor on which to "explode" the arcs away from the surface. A value of 0.0 keeps the values on the surface. Values larger than 0.0 push the arcs away from the surface by a distance proportional to the distance between the points. The default is 0.2.
- `obj.SetNumberOfSubdivisions (int )` - The number of subdivisions in the arc. The default is 20.
- `int = obj.GetNumberOfSubdivisions ()` - The number of subdivisions in the arc. The default is 20.